# Interface methods for submodule: StatisticsLabelObject
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ShapeLabelObjectProxy as _ShapeLabelObjectProxy


# Interface methods for class: StatisticsLabelObject
class StatisticsLabelObjectProxy(_ShapeLabelObjectProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	@staticmethod
	def GetAttributeFromName(s: str) -> int:
		""""""
		...

	@staticmethod
	def GetNameFromAttribute(a: int) -> str:
		""""""
		...

	def GetMinimum(self) -> float:
		""""""
		...

	def SetMinimum(self, v: float) -> None:
		""""""
		...

	def GetMaximum(self) -> float:
		""""""
		...

	def SetMaximum(self, v: float) -> None:
		""""""
		...

	def GetMean(self) -> float:
		""""""
		...

	def SetMean(self, v: float) -> None:
		""""""
		...

	def GetSum(self) -> float:
		""""""
		...

	def SetSum(self, v: float) -> None:
		""""""
		...

	def GetStandardDeviation(self) -> float:
		""""""
		...

	def SetStandardDeviation(self, v: float) -> None:
		""""""
		...

	def GetVariance(self) -> float:
		""""""
		...

	def SetVariance(self, v: float) -> None:
		""""""
		...

	def GetMedian(self) -> float:
		""""""
		...

	def SetMedian(self, v: float) -> None:
		""""""
		...

	def GetMaximumIndex(self) -> Sequence[int]:
		""""""
		...

	def SetMaximumIndex(self, v: Sequence[int]) -> None:
		""""""
		...

	def GetMinimumIndex(self) -> Sequence[int]:
		""""""
		...

	def SetMinimumIndex(self, v: Sequence[int]) -> None:
		""""""
		...

	def GetCenterOfGravity(self) -> Sequence[float]:
		""""""
		...

	def SetCenterOfGravity(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetWeightedPrincipalMoments(self) -> Sequence[float]:
		""""""
		...

	def SetWeightedPrincipalMoments(self, v: Sequence[float]) -> None:
		""""""
		...

	def GetWeightedPrincipalAxes(self):
		""""""
		...

	def SetWeightedPrincipalAxes(self, v) -> None:
		""""""
		...

	def GetSkewness(self) -> float:
		""""""
		...

	def SetSkewness(self, v: float) -> None:
		""""""
		...

	def GetKurtosis(self) -> float:
		""""""
		...

	def SetKurtosis(self, v: float) -> None:
		""""""
		...

	def GetWeightedElongation(self) -> float:
		""""""
		...

	def SetWeightedElongation(self, v: float) -> None:
		""""""
		...

	def GetHistogram(self):
		""""""
		...

	def SetHistogram(self, v) -> None:
		""""""
		...

	def GetWeightedFlatness(self) -> float:
		""""""
		...

	def SetWeightedFlatness(self, v: float) -> None:
		""""""
		...

	def GetWeightedPrincipalAxesToPhysicalAxesTransform(self):
		""""""
		...

	def GetPhysicalAxesToWeightedPrincipalAxesTransform(self):
		""""""
		...

